MORE(1)

NAME
more, page - browse or page through a text file

SYNOPSIS
more [ -cdflsu ] [ -lines ] [ +linenumber ] [ +/pattern ]
[ filename ... ]

page [ -cdflsu ] [ -lines ] [ +linenumber ] [ +/pattern ] [ filename ... ]

DESCRIPTION

more is a filter that displays the contents of a text file on the terminal, one screenful at a time. It normally pauses after each screenful, and prints --More-- at the bottom of the screen. more provides a two-line overlap between screens for continuity. If more is reading from a file rather than a pipe, the percentage of characters displayed so far is also shown.

more scrolls up to display one more line in response to a RETURN character; it displays another screenful in response to a SPACE character. Other commands are listed below.

page clears the screen before displaying the next screenful of text; it only provides a one-line overlap between screens.

more sets the terminal to noecho mode, so that the output can be continuous. Commands that you type do not normally show up on your terminal, except for the / and ! commands.

If the standard output is not a terminal, more acts just like cat(1V), except that a header is printed before each file in a series.

OPTIONS

-c  Clear before displaying. Redrawing the screen instead of scrolling for faster displays. This option is ignored if the terminal does not have the ability to clear to the end of a line.

-d  Display error messages rather than ringing the terminal bell if an unrecognized command is used. This is helpful for inexperienced users.

-f  Do not fold long lines. This is useful when lines contain nonprinting characters or escape sequences, such as those generated when nroff(1) output is piped through ul(1).

-l  Do not treat FORMFEED characters (CTRL-D) as “page breaks.” If -l is not used, more pauses to accept commands after any line containing a ^L character (CTRL-D). Also, if a file begins with a FORMFEED, the screen is cleared before the file is printed.

-s  Squeeze. Replace multiple blank lines with a single blank line. This is helpful when viewing nroff(1) output, on the screen.

-u  Suppress generation of underlining escape sequences. Normally, more handles underlining, such as that produced by nroff(1), in a manner appropriate to the terminal. If the terminal can perform underlining or has a stand-out mode, more supplies appropriate escape sequences as called for in the text file.

-lines
    Display the indicated number of lines in each screenful, rather than the default (the number of lines in the terminal screen less two).

+linenumber
    Start up at linenumber.

+/pattern
    Start up two lines above the line containing the regular expression pattern. Note: unlike editors, this construct should not end with a `/'. If it does, then the trailing slash is taken as a character in the search pattern.

USAGE

  Environment

more uses the terminal's termcap(5) entry to determine its display characteristics, and looks in the environment variable MORE for any preset options. For instance, to page through files using the -c mode by default, set the value of this variable to -c. (Normally, the command sequence to set up this environment variable is placed in the .login or .profile file).

  Commands

The commands take effect immediately; it is not necessary to type a carriage return. Up to the time when the command character itself is given, the user may type the line kill character to cancel the numerical argument being formed. In addition, the user may type the erase character to redisplay the `--More--(xx%)' message.

In the following commands, i is a numerical argument (1 by default).

iSPACE
    Display another screenful, or i more lines if i is specified.

iRETURN
    Display another line, or i more lines, if specified.

i^D (CTRL-D) Display (scroll down) 11 more lines. i is given, the scroll size is set to i.

id  Same as ^D.

iz  Same as SPACE, except that i, if present, becomes the new default number of lines per screenful.

is  Skip i lines and then print a screenful.

if  Skip i screenfuls and then print a screenful.

i^B (CTRL-B) Skip back i screenfuls and then print a screenful.

b   Same as ^B (CTRL-D).

q
Q   Exit from more.

=   Display the current line number.

v   Drop into the vi(1) editor at the current line of the current file.

h   Help. Give a description of all the more commands.

i/pattern
    Search for the ith occurrence of the regular expression pattern. Display the screenful starting two lines prior to the line that contains the ith match for the regular expression pattern, or the end of a pipe, whichever comes first. If more is displaying a file and there is no such match, its position in the file remains unchanged. Regular expressions can be edited using erase and kill characters. Erasing back past the first column cancels the search command.

in  Search for the ith occurrence of the last pattern entered.

'   Single quote. Go to the point from which the last search started. If no search has been performed in the current file, go to the beginning of the file.

!command
    Invoke a shell to execute command. The characters % and !, when used within command are replaced with the current filename and the previous shell command, respectively. If there is no current filename, % is not expanded. Prepend a backslash to these characters to escape expansion.

i:n Skip to the ith next filename given in the command line, or to the last filename in the list if i is out of range.

i:p Skip to the ith previous filename given in the command line, or to the first filename if i is out of range. If given while more is positioned within a file, go to the beginning of the file. If more is reading from a pipe, more simply rings the terminal bell.

:f  Display the current filename and line number.

:q
:Q  Exit from more (same as q or Q ).

.   Dot. Repeat the previous command.

^\  Halt a partial display of text. more stops sending output, and displays the usual --More-- prompt. Unfortunately, some output is lost as a result.

FILES
/etc/termcap
    terminal data base
/usr/lib/more.help
    help file

SEE ALSO
cat(1V), csh(1), man(1), script(1), sh(1), environ(5V), termcap(5)

BUGS
Skipping backwards is too slow on large files.